$HostName = "srv-exchange"

Get-ClientAccessService -Identity $HostName | Select Server,ExternalURL,InternalURL,AutoDiscoverServiceInternalUri | fl

Get-OwaVirtualDirectory -Server $HostName -AdpropertiesOnly | Select Server,ExternalURL,InternalURL | fl

Get-EcpVirtualDirectory -Server $HostName -AdpropertiesOnly | Select Server,ExternalURL,InternalURL | fl

Get-WebServicesVirtualDirectory -Server $HostName -AdpropertiesOnly | Select Server,ExternalURL,InternalURL | fl

Get-ActiveSyncVirtualDirectory -Server $HostName -AdpropertiesOnly | select server,externalurl,internalurl | fl

Get-OabVirtualDirectory -Server $HostName -AdpropertiesOnly | select server,externalurl,internalurl | fl

Get-MapiVirtualDirectory -Server $HostName -AdpropertiesOnly | select server,externalurl,internalurl | fl

Get-ClientAccessService | fl identity,autodiscoverserviceinternaluri

Get-OutlookAnywhere -Server $HostName -AdpropertiesOnly | Select Server,ExternalHostname,Internalhostname | fl

Get-OutlookProvider